<form *ngIf="questionList" [formGroup]="form">

    <div class="question" 
    *ngFor="let question of questionList index as i" 
    [hidden]="i !== (active$ | async)">

        <h4>{{ question.body }}</h4>

        <app-radio [options]="question.options" formControlName="{{i}}"></app-radio>
    
        <p class="info">Question {{ (active$ | async)! + 1 }} / {{ questionList.length }}</p>

    </div>

    <div class="navigation">
        <button type="button" class="outline"
        (click)="navigate(-1)" 
        [disabled]="(active$ | async) === 0">Previous</button>

        <button type="button" 
        (click)="navigate(1)"
        [disabled]="form.controls[(active$ | async)!].invalid">Next</button>
    </div>

</form>
